## org.eclipse.m2m.atl.adt.ui.wizard.atlproject
Class AtlProjectCreator

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.m2m.atl.adt.ui.wizard.atlproject.AtlProjectCreator

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class AtlProjectCreator

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard, org.eclipse.core.runtime.IExecutableExtension

The ATL project creation wizard.

Field Summary
`protected org.eclipse.core.runtime.IConfigurationElement` `configElement`
`protected org.eclipse.ui.dialogs.WizardNewProjectCreationPage` `page`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`AtlProjectCreator()` Constructor.

Method Summary
`void` `addNature(org.eclipse.core.resources.IProject project, java.lang.String natureId)` Adds a nature to a project.
`void` `addPages()` Adding the page to the wizard.
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### page

    protected org.eclipse.ui.dialogs.WizardNewProjectCreationPage page

### configElement

    protected org.eclipse.core.runtime.IConfigurationElement configElement

Constructor Detail

### AtlProjectCreator

    public AtlProjectCreator()

  Constructor.

Method Detail

### addPages

    public void addPages()

  Adding the page to the wizard.

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.performFinish()`

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`
  See Also:
    `IWorkbenchWizard.init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)`

### addNature

    public void addNature(org.eclipse.core.resources.IProject project,
                          java.lang.String natureId)

  Adds a nature to a project.

  Parameters:
    `project` - the project to add a nature to
    `natureId` - the natureId of the nature to be added to the project

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `IExecutableExtension.setInitializationData(org.eclipse.core.runtime.IConfigurationElement, java.lang.String, java.lang.Object)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.